Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7935 - In lpr-0.46-1, lpd fails to pass the job name
Summary: In lpr-0.46-1, lpd fails to pass the job name
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-21 19:01 UTC by fossum
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 19:11:22 UTC


Attachments (Terms of Use)

Description fossum 1999-12-21 19:01:17 UTC
The latest version of lpd does not pass along the job name to the
remote printer.  Previous versions used the filename being printed
as the job name, so that

	lpr -Premote-printer somefile

would pass "somefile" as the job name to the remote printer.  This
no longer works.  Even using the -J switch on the lpr line does not
pass along a job name to the remote printer.  Other job-related info
(the Classification and Literal values) seem to be sent properly.

Comment 1 fossum 1999-12-24 20:18:59 UTC
Added 24 December:

lpd does seem to propagate the filename on the 'N...' line in the control
file on the remote system, but not the 'J...' line.  What exactly is the
standard behavior?

Comment 2 fossum 1999-12-24 20:20:59 UTC
Added 24 December:

lpd does seem to propagate the filename on the 'N...' line in the control
file on the remote system, but not the 'J...' line.  What exactly is the
standard behavior?

Comment 3 Bernhard Rosenkraenzer 2000-01-18 19:11:59 UTC
0.50 should fix this


Note You need to log in before you can comment on or make changes to this bug.